Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface MBeanRegistration

All Known Implementing Classes:
  CounterMonitor, GaugeMonitor, JMXConnectorServer, MLet, Monitor, PrivateMLet, RelationService, RelationSupport, RequiredModelMBean, RMIConnectorServer, StringMonitor, Timer

    public interface MBeanRegistration

Can be implemented by an MBean in order to carry out operations before and after being registered or unregistered from the MBean server.

Since:
  1.5

Method Summary
`void` | `postDeregister()` Allows the MBean to perform any operations needed after having been unregistered in the MBean server.
`void` | `postRegister(Boolean registrationDone)` Allows the MBean to perform any operations needed after having been registered in the MBean server or after the registration has failed.
`void` | `preDeregister()` Allows the MBean to perform any operations it needs before being unregistered by the MBean server.
`ObjectName` | `preRegister(MBeanServer server, ObjectName name)` Allows the MBean to perform any operations it needs before being registered in the MBean server.

Method Detail

### preRegister

    ObjectName preRegister(MBeanServer server,
                           ObjectName name)
                           throws Exception

  Allows the MBean to perform any operations it needs before being registered in the MBean server. If the name of the MBean is not specified, the MBean can provide a name for its registration. If any exception is raised, the MBean will not be registered in the MBean server.

  Parameters:
    `server` - The MBean server in which the MBean will be registered.
    `name` - The object name of the MBean. This name is null if the name parameter to one of the `createMBean` or `registerMBean` methods in the `MBeanServer` interface is null. In that case, this method must return a non-null ObjectName for the new MBean.
  Returns:
    The name under which the MBean is to be registered. This value must not be null. If the `name` parameter is not null, it will usually but not necessarily be the returned value.
  Throws:
    `Exception` - This exception will be caught by the MBean server and re-thrown as an `MBeanRegistrationException`.

### postRegister

    void postRegister(Boolean registrationDone)

  Allows the MBean to perform any operations needed after having been registered in the MBean server or after the registration has failed.

  Parameters:
    `registrationDone` - Indicates whether or not the MBean has been successfully registered in the MBean server. The value false means that the registration phase has failed.

### preDeregister

    void preDeregister()
                       throws Exception

  Allows the MBean to perform any operations it needs before being unregistered by the MBean server.

  Throws:
    `Exception` - This exception will be caught by the MBean server and re-thrown as an `MBeanRegistrationException`.

### postDeregister

    void postDeregister()

  Allows the MBean to perform any operations needed after having been unregistered in the MBean server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.